.layout.layout-side {
  &.dark {
    .aside-navigation {
      nav.app-menu-content {
        background-color: var(--color-blue-darkest);
        .application-name {
          .btn-menu {
            i {
              color: var(--color-blue);
            }
          }
        }
        .app-menu-links {
          a[role="menuitem"] {
            &:hover,
            &.active {
              .icon {
                color: var(--color-blue-darkest);
                &:after {
                  background-color: var(--color-neutral-0);
                }
              }
            }
          }
        }
      }
    }
  }
}

.aside-navigation {
  nav.app-menu-content {
    width: var(--side-menu-closed-width);
    transition: 0.5s ease;
    background-color: var(--color-primary);
    border-top-right-radius: 24px;
    border-bottom-right-radius: 24px;
    .application-name {
      .btn-menu {
        border: none;
        background-color: transparent;
        width: 30px;
        height: 30px;
        border-radius: 50%;
        cursor: pointer;
        transition: 0.3s ease;
        &:hover {
          background-color: rgba(255, 255, 255, 0.2);
        }
        i {
          color: var(--color-primary-lighter);
        }
      }
    }
    .app-menu-links {
      margin-top: 145px;
      overflow-x: hidden;
      margin-left: 22px;
      a[role="menuitem"] {
        color: var(--color-neutral-0);
        text-decoration: none;
        margin-bottom: var(--space-xxl);
        font-weight: 500;
        transition: 0.3s ease;
        white-space: nowrap;
        &:hover,
        &.active {
          color: var(--color-neutral-0);
          .icon {
            &:after {
              background-color: var(--color-primary-darker);
            }
          }
        }
        span {
          transition: 0.3s ease;
          opacity: 0;
          visibility: hidden;
        }
        .icon {
          position: relative;
          color: var(--color-neutral-0);
          font-size: 20px;
          &:after {
            content: "";
            width: 48px;
            height: 48px;
            background-color: transparent;
            position: absolute;
            display: inline-block;
            border-radius: 11px;
            transition: 0.3s ease;
            top: -15px;
            left: -15px;
            z-index: -1;
          }
        }
        &:last-child {
          position: absolute;
          bottom: 25px;
          margin-bottom: 0;
        }
      }
    }
  }
  &.open {
    .btn-menu {
      transform: rotate(180deg);
    }
    nav.app-menu-content {
      width: 300px;
      .app-menu-links {
        a[role="menuitem"] {
          span {
            opacity: 1;
            visibility: visible;
          }
        }
      }
    }
  }
}